Bug 84006 - terminate called after throwing an instance of 'com::sun::star::container::NoSuchElementException'
Summary: terminate called after throwing an instance of 'com::sun::star::container::No...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.2.6.2 release
Hardware: x86-64 (AMD64) OpenBSD
: high normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-17 15:50 UTC by Robert Nagy
Modified: 2019-12-03 14:21 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
loffice --help --backtrace (23.77 KB, text/plain)
2015-01-04 08:34 UTC, Igor Pashev
Details
lowriter --help --backtrace (20.78 KB, text/plain)
2015-01-04 15:57 UTC, Igor Pashev
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Nagy 2014-09-17 15:50:34 UTC
Hi

I've ran into an issue while updating the port of LibreOffice to 4.2.6.3 on OpenBSD and I can't really find the source of the issue.

Basically any element of the LO installation results in the following exception:

$ soffice --help
terminate called after throwing an instance of 'com::sun::star::container::NoSuchElementException'

I've traced and checked everything I could and all dynamic libraries are being loaded properly. Can someone give me a hint please?

Thanks
Comment 1 Robinson Tryon (qubit) 2014-12-21 19:49:56 UTC
In general, I'd suggest that you take developer questions to the Dev list:
https://wiki.documentfoundation.org/Development/Mailing_List

That's probably the quickest way to get a response.

Given that 4.3.x is running on OpenBSD now, I'm going to guess that this bug is fixed, but I'll toss it into NEEDINFO rather than just resolve it.
Status -> NEEDINFO
Comment 2 Igor Pashev 2015-01-04 08:34:14 UTC
Created attachment 111711 [details]
loffice --help --backtrace
Comment 3 Igor Pashev 2015-01-04 08:35:30 UTC
I can confirm it, though on an unusual OS [1].

Version 4.3.3:

# loffice --help
terminate called after throwing an instance of 'com::sun::star::container::NoSuchElementException'
terminate called recursively


Attaching backtrace.



[1] http://osdyson.org/
Comment 4 Igor Pashev 2015-01-04 15:57:17 UTC
Created attachment 111727 [details]
lowriter --help --backtrace

Note the hieroglyphs.
Comment 5 Igor Pashev 2015-01-04 16:11:48 UTC
well, it is not hieroglyphs :-)

>>> print "\045\120\122\117\104\125\103\124\116\101\115\105\040\045\120\122\117\104\125\103\124\126\105\122\123\111\117\116\045\120\122\117\104\125\103\124\105\130\124\105\116\123\111\117\116"  
%PRODUCTNAME %PRODUCTVERSION%PRODUCTEXTENSION
>>>
Comment 6 Igor Pashev 2015-01-04 22:11:21 UTC
I know what's wrong (in my case) :-)


soffice.bin get _Unwind* symbols from libc, but should get is from libgcc_s
Comment 7 Robinson Tryon (qubit) 2015-01-10 23:45:21 UTC
(In reply to Igor Pashev from comment #3)
> I can confirm it, though on an unusual OS [1].
> 
> Version 4.3.3:
> 
> # loffice --help
> terminate called after throwing an instance of
> 'com::sun::star::container::NoSuchElementException'
> terminate called recursively

Interesting, interesting. I can't confirm on Ubuntu 14.04 with 4.3.2.2 or 4.4.0.1, but it sounds like there's enough here to change Status -> NEW

> Attaching backtrace.
> 

Great, thanks!
Comment 8 QA Administrators 2016-01-17 20:05:33 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2017-03-06 14:44:20 UTC Comment hidden (obsolete)
Comment 10 QA Administrators 2019-12-03 14:21:03 UTC
Dear Robert Nagy,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug